Bug 176937 - NPTL: Process scheduling and semaphores
NPTL: Process scheduling and semaphores
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
http://nptl.bullopensource.org/Tests/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-04 10:30 EST by Tony Reix
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-04 12:06:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Reix 2006-01-04 10:30:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
OPTS test:

sem_post/8-1.c

 	This test checks the higher priority processes get the semaphore first.
 	It looks the priority is not taken into account. 


Details are available at:
http://nptl.bullopensource.org/Tests/results/report.php
Browse: (TC2) 2xi686HT - RHAS4u2 Run 1,2,3

See:
http://nptl.bullopensource.org/Tests/results/detailed.php?run_id=11&testcase_id=3516

Version-Release number of selected component (if applicable):
Unmodified RHEL4u2

How reproducible:
Always

Steps to Reproduce:
Use OPTS.
(Used version was:  OPTS cvs repository on Nov 14, 2005)

Actual Results:  See:
http://nptl.bullopensource.org/Tests/results/detailed.php?run_id=11&testcase_id=3516

Additional info:
Comment 2 Tony Reix 2006-01-04 11:02:29 EST
Use the 3 (correct !) URLS:

http://nptl.bullopensource.org/Tests/TC2/report.php#problems

http://nptl.bullopensource.org/Tests/results/run-browse.php
     Click the "Browse" button of : (TC2) 2xi686HT - RHAS4u2 Run 3
     You can also select 2 runs and click the "Compare Selected" button.
Comment 3 Ulrich Drepper 2006-01-04 12:06:50 EST
There is no guarantee about scheduling determined by priority.

Note You need to log in before you can comment on or make changes to this bug.